# Class StringPropertyId

java.lang.Object
com.thaiopensource.util.PropertyId<String>
com.thaiopensource.validate.StringPropertyId

public class StringPropertyId extends PropertyId<String>
A PropertyId whose value is constrained to be an instance of String.

See Also:
  - `String`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StringPropertyId(String name)`

- ## Method Summary

  ### Methods inherited from class com.thaiopensource.util.PropertyId

  `equals, get, getValueClass, hashCode, newInstance, put, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### StringPropertyId

    public StringPropertyId(String name)